Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.holders
Class BooleanHolder

    java.lang.Object
      javax.xml.rpc.holders.BooleanHolder

All Implemented Interfaces:
  Holder

public final class BooleanHolder
extends java.lang.Object
implements Holder

Holder for `boolean`s.

Version:
  1.0

Field Summary
`boolean` | `value` The `boolean` contained by this holder.

Constructor Summary
`BooleanHolder()` Make a new `BooleanHolder` with a `null` value.
`BooleanHolder(boolean value)` Make a new `BooleanHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public boolean value

  The `boolean` contained by this holder.

Constructor Detail

### BooleanHolder

    public BooleanHolder()

  Make a new `BooleanHolder` with a `null` value.

### BooleanHolder

    public BooleanHolder(boolean value)

  Make a new `BooleanHolder` with `value` as the value.

Parameters:
  `value` - the `boolean` to hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.